import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取设备组树结构数据
 */
export const GetEquipmentGroupTreeDataStd = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/Std/GetTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * 调用接口，返回设备组树结构数据
 * 报错时返回 undefined
 * @returns
 */
export const getEquipmentGroupTreeDataStd = async (params, req: any = request) => {
	const res = await GetEquipmentGroupTreeDataStd(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取设备失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
